name: {{#snakeCase}}{{brick_name}}{{/snakeCase}}
description: {{#snakeCase}}{{brick_description}}{{/snakeCase}}

version: 0.1.0

vars:
  display_name:
    compilable: display_name
    type: string
    description: The display name
    default: Display Name
    prompt: "What is the display name?"

  product_name:
    compilable: product_name
    type: string
    description: The product name
    default: product_name
    prompt: "What is the product name?"

  flutter:
    type: boolean
    description: If this app is a Flutter or Dart application.
    default: false
    prompt: "Is this a Flutter appplication ?"

brickgen:
  path_to_brickify: {{#snakeCase}}{{brick_name}}{{/snakeCase}}
  hooks: true
  ignore:
    - .env
  boolean_file_system:
    flutter:
      folders:
        on_true:
          - android
          - ios
        on_false:
          - bin